org.apache.ignite.spi.systemview.view

## Class SqlTableView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SqlTableView

-     public class SqlTableView
      extends Object

  Sql table representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlTableView(org.apache.ignite.internal.processors.query.h2.opt.GridH2Table tbl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `affinityKeyColumn()`
    `int` | `cacheId()`
    `String` | `cacheName()`
    `boolean` | `isIndexRebuildInProgress()`
    `String` | `keyAlias()`
    `String` | `keyTypeName()`
    `String` | `schemaName()`
    `String` | `tableName()`
    `String` | `valueAlias()`
    `String` | `valueTypeName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlTableView

          public SqlTableView(org.apache.ignite.internal.processors.query.h2.opt.GridH2Table tbl)

      Parameters:
        `tbl` - Table.

  - ### Method Detail

    - #### cacheId

          public int cacheId()

      Returns:
        Cache id.

    - #### cacheName

          public String cacheName()

      Returns:
        Cache name.

    - #### schemaName

          public String schemaName()

      Returns:
        Schema name.

    - #### tableName

          public String tableName()

      Returns:
        Table name.

    - #### affinityKeyColumn

          public String affinityKeyColumn()

      Returns:
        Affinity key column.

    - #### keyAlias

          public String keyAlias()

      Returns:
        Key alias.

    - #### valueAlias

          public String valueAlias()

      Returns:
        Value alias.

    - #### keyTypeName

          public String keyTypeName()

      Returns:
        Key type name.

    - #### valueTypeName

          public String valueTypeName()

      Returns:
        Value type name.

    - #### isIndexRebuildInProgress

          public boolean isIndexRebuildInProgress()

      Returns:
        `True` if index rebuild is in progress.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020